Name:          siv-mode
Version:       1.0.8
Release:       1%{?dist}
Summary:       RFC 5297 SIV mode of operation in Java
License:       MIT
URL:           https://github.com/cryptomator/siv-mode/
Source0:       https://github.com/cryptomator/siv-mode/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk15on)
BuildRequires: mvn(junit:junit)

BuildArch:     noarch

%description
RFC 5297 SIV mode: deterministic authenticated encryption.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

# Unwanted task
%pom_remove_plugin :jacoco-maven-plugin
# Disable bcprov copy
%pom_remove_plugin :maven-shade-plugin
# Unavailable plugins
%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :coveralls-maven-plugin

%mvn_file :%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Thu Sep 08 2016 gil cattaneo <puntogil@libero.it> 1.0.8-1
- initial rpm

